Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::MP2R12Energy Class Reference

Class MP2R12Energy is the object that computes and maintains MP2-R12 energies. More...

`#include <mp2r12_energy.h>`

Inheritance diagram for sc::MP2R12Energy:

[legend]
Collaboration diagram for sc::MP2R12Energy:

[legend]
List of all members.

## Public Methods

| MP2R12Energy (StateIn &)
| MP2R12Energy (Ref< R12IntEval > &r12eval, LinearR12::StandardApproximation stdapp, int debug)
| ~MP2R12Energy ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | obsolete ()
void | print (std::ostream &o=ExEnv::out0()) const
| Print the object.
void | print_pair_energies (bool spinadapted, std::ostream &so=ExEnv::out0())
Ref< R12IntEval > | r12eval () const
LinearR12::StandardApproximation | stdapp () const
void | set_debug (int debug)
int | get_debug () const
RefSCDimension | dim_aa () const
RefSCDimension | dim_ab () const
RefSCDimension | dim_s () const
RefSCDimension | dim_t () const
void | compute ()
RefSCVector | emp2_aa () const
RefSCVector | emp2_ab () const
RefSCVector | er12_aa () const
RefSCVector | er12_ab () const
RefSCVector | emp2r12_aa () const
RefSCVector | emp2r12_ab () const
double | energy ()
| Total MP2-R12 correlation energy.

## Detailed Description

Class MP2R12Energy is the object that computes and maintains MP2-R12 energies.

## Member Function Documentation

void sc::MP2R12Energy::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- mp2r12_energy.h